Bug 75345 - JBoss4 update
Summary: JBoss4 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-21 06:10 UTC by Jonathan Chen
Modified: 2004-12-22 20:44 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (14.04 KB, patch)
2004-12-21 06:10 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2004-12-21 06:10:28 UTC
Yet another JBoss4 update:
	1. fix cold-boot startup failure.
	2. add note on starting up JBoss4 with rcNG.
	3. add new "-config" option to jboss4ctl for JBoss4 startup config.
Comment 1 Herve Quiroz freebsd_committer 2004-12-21 14:32:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 Hervé Quiroz 2004-12-22 04:40:45 UTC
Jonathan,

The port won't automatically display pkg-message when present. Here is a
fix:

post-install:
.if !defined(BATCH)
	@${CAT} ${PKGMESSAGE}
.endif

BTW, there are already some comments displayed by the port:

  If a user should be able to use jboss4ctl, put it in the group www.
  Use 'man jboss4ctl' for information about starting and stopping jboss.

Maybe we should add them in pkg-message.

Herve
Comment 3 Jonathan Chen 2004-12-22 05:00:40 UTC
On Wed, Dec 22, 2004 at 05:40:45AM +0100, Herve Quiroz wrote:
> Jonathan,
> 
> The port won't automatically display pkg-message when present. Here is a
> fix:
> 
> post-install:
> .if !defined(BATCH)
> 	@${CAT} ${PKGMESSAGE}
> .endif

Looks good. Maybe I should have looked harder at my submission..

> BTW, there are already some comments displayed by the port:
> 
>   If a user should be able to use jboss4ctl, put it in the group www.
>   Use 'man jboss4ctl' for information about starting and stopping jboss.
> 
> Maybe we should add them in pkg-message.

Would you mind putting it in or should I fix the port and resubmit
with the 2 changes?

Cheers.
-- 
Jonathan Chen <jonc@chen.org.nz>
----------------------------------------------------------------------
                             "Beer. Now there's a temporary solution."
                                                       - Homer Simpson
Comment 4 Herve Quiroz freebsd_committer 2004-12-22 20:44:40 UTC
State Changed
From-To: open->closed

Commited. Thanks for your contribution.